Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PhaseId

    java.lang.Object
      javax.faces.event.PhaseId

All Implemented Interfaces:
  java.lang.Comparable

public class PhaseId
extends java.lang.Object
implements java.lang.Comparable

Version:
  $Revision: 265611 $ $Date: 2005-08-31 21:05:16 -0400 (Wed, 31 Aug 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: oros $)

Field Summary
`static PhaseId` | `ANY_PHASE`
`static PhaseId` | `APPLY_REQUEST_VALUES`
`static PhaseId` | `INVOKE_APPLICATION`
`static PhaseId` | `PROCESS_VALIDATIONS`
`static PhaseId` | `RENDER_RESPONSE`
`static PhaseId` | `RESTORE_VIEW`
`static PhaseId` | `UPDATE_MODEL_VALUES`
`static java.util.List` | `VALUES`

Method Summary
`int` | `compareTo(java.lang.Object other)`
`int` | `getOrdinal()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY_PHASE

    public static final PhaseId ANY_PHASE

### APPLY_REQUEST_VALUES

    public static final PhaseId APPLY_REQUEST_VALUES

### INVOKE_APPLICATION

    public static final PhaseId INVOKE_APPLICATION

### PROCESS_VALIDATIONS

    public static final PhaseId PROCESS_VALIDATIONS

### RENDER_RESPONSE

    public static final PhaseId RENDER_RESPONSE

### RESTORE_VIEW

    public static final PhaseId RESTORE_VIEW

### UPDATE_MODEL_VALUES

    public static final PhaseId UPDATE_MODEL_VALUES

### VALUES

    public static final java.util.List VALUES

Method Detail

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getOrdinal

    public int getOrdinal()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD